#ifndef _SEG_DISPLAY_H_
#define _SEG_DISPLAY_H_

#include "Seg_Ref.h"
void SEG_A25_Disp(uint8_t seg_status);
void SEG_C25_Disp(uint8_t seg_status);
void SEG_LED_INTER_DIFF_LOCK_T(uint8_t seg_status);
void SEG_LED_FOUR_MUL_FOUR_T(uint8_t seg_status);
void SEG_LED_EXH_BRAKE_T(uint8_t seg_status);
void SEG_LED_QOS_GLOW_T(uint8_t seg_status);
void SEG_LED_HI_BEAM_T(uint8_t seg_status);
void SEG_LED_Rr_FOG_LAMP_T(uint8_t seg_status);
void SEG_LED_MIL_T(uint8_t seg_status);
void SEG_LED_SVS_T(uint8_t seg_status);
void SEG_LED_H_S_A_T(uint8_t seg_status);
void SEG_LED_RETARDER_T(uint8_t seg_status);
void SEG_LED_AUTO_LEVELING_T(uint8_t seg_status);
void SEG_LED_ROWS_L(uint8_t seg_status);
void SEG_LED_BSM_OFF_L(uint8_t seg_status);
void SEG_LED_AEBS_OFF_L(uint8_t seg_status);
void SEG_LED_LDWS_L(uint8_t seg_status);
void SEG_LED_SRS_L(uint8_t seg_status);
void SEG_LED_ENG_OIL_L(uint8_t seg_status);
void SEG_LED_CHARG_L(uint8_t seg_status);
void SEG_LED_SEAT_BELT_L(uint8_t seg_status);
void SEG_LED_RR_DIFF_LOCK_L(uint8_t seg_status);
void SEG_LED_TPMS_L(uint8_t seg_status);
void SEG_LED_ASR_or_EVSC_OFF_L(uint8_t seg_status);
void SEG_LED_EVSC_L(uint8_t seg_status);
void SEG_LED_eco_stop_OFF_L(uint8_t seg_status);
void SEG_LED_AMT_L(uint8_t seg_status);
void SEG_LED_WEAR_IND_L(uint8_t seg_status);
void SEG_LED_TRAILER_BRAKE_R(uint8_t seg_status);
void SEG_LED_BRAKE_AIR_or_EBS_YELLOW_R(uint8_t seg_status);
void SEG_LED_ACC_AIR_R(uint8_t seg_status);
void SEG_LED_ABS_R(uint8_t seg_status);
void SEG_LED_PARK_BRAKE_R(uint8_t seg_status);
void SEG_LED_BRAKE_AIR_or_EBS_RED_R(uint8_t seg_status);
void SEG_LED_BRAKE_LOCK_R(uint8_t seg_status);
void SEG_LED_AIR_SUS_R(uint8_t seg_status);
void SEG_LED_TRAILER_ABS_U(uint8_t seg_status);
void SEG_LED_WORKING_LAMP_U(uint8_t seg_status);
void SEG_LED_TRAILER_ABS_INFO_U(uint8_t seg_status);

void SEG_LED_TURN_RIGHT(uint8_t seg_status);
void SEG_LED_TURN_LEFT(uint8_t seg_status);

extern void Seg_Display_Service(void);
extern void Seg_Display_ON(void);
extern void Seg_Display_OFF(void);

void Gui_Display_Test(void);
void Gui_9810_Test(void);

#endif

